{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/archive') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/archive') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('property_vacancy_management_building_unit_basic_data', {'buildingUnitId': buildingUnit.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Objekt {{ buildingUnit.getName() }}</span>
        {{ form_widget(buildingUnitArchiveForm.archive, {'label': 'ARCHIVIEREN', 'id': buildingUnitArchiveForm.archive.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-3">
            <h1 class="fs-4 d-flex align-items-center">Objekt in das Archiv verschieben.</h1>
            <p>
                Um das Objekt in das Archiv zu verschieben, klicken Sie bitte auf den ARCHIVIEREN Button.
                Sie können das Objekt später jederzeit wieder aus dem Archiv herstellen.
            </p>
            {{ form_start(buildingUnitArchiveForm, {'attr': {'id': buildingUnitArchiveForm.vars.id ~ '_form'}}) }}
            {{ form_row(buildingUnitArchiveForm._token) }}
            {{ form_end(buildingUnitArchiveForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card mb-4">
            {% include 'property_vacancy_management/form/building_unit/building_unit_basic_data_form.html.twig' with {'form': buildingUnitBasicDataForm, 'places': places} only %}
        </div>
    </div>
{% endblock %}
